> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/api/de/api-fur-anzeigenplatzierung/ad-plac-errors.md).

# Fehler

Die Ad-Placement-API kann die folgenden Antwortcodes zurückgeben:

| Code | Beschreibung      | Erklärung                                                                                                                                                                                           |
| ---- | ----------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| 400  | Ungültige Anfrage | Gibt an, dass die gesendeten Daten falsch formatiert sind.                                                                                                                                          |
| 200  | OK                | Dies gibt an, dass entweder die Anfrage korrekt ist oder einige Zonen nicht gefunden werden konnten. Die Antwort wird Ihnen mitteilen, welche Zonen dies sind.                                      |
| 500  | Interner Fehler   | Gibt an, dass ein interner Fehler aufgetreten ist, die Ursache jedoch unbekannt ist. Wenden Sie sich an Ihren Account Manager oder [Customer Success](https://www.exoclick.com/contact/) für Hilfe. |

## 400-Fehlermeldungen

| Meldung                           | Erklärung                                                         |
| --------------------------------- | ----------------------------------------------------------------- |
| Fehlerhafter JSON-Body            | Syntaxfehler                                                      |
| Nicht unterstützter Anfragetyp    | Falsches Anfrageverb verwendet                                    |
| Dieses Feld fehlt                 | Ein Pflichtfeld fehlt                                             |
| Dieses Feld wurde nicht erwartet  | Der Anfrage wurde ein unbekannter Parameter hinzugefügt           |
| Dieser Wert sollte vom Typ X sein | Für einen bestimmten Parameter wurde das falsche Format verwendet |

### 400-Fehlerbeispiel

Anfrage:

```json
{
    "user": {
        "testing": false
    },
    "zones": [
        {
            "id": "12345"
        }
    ]
}
```

Antwort:

```json
{
    "errors": [
        {
            "[user][ua]": "Dieses Feld fehlt."
        },
        {
            "[user][testing]": "Dieses Feld wurde nicht erwartet."
        },
        {
            "[zones][0]": "[id] Dieser Wert sollte vom Typ int sein."
        }
    ]
}
```

## 200-Fehlermeldungen

| Meldung                        | Erklärung                                                                                                               |
| ------------------------------ | ----------------------------------------------------------------------------------------------------------------------- |
| Zonen-ID nicht gefunden        | Die Zonen-ID kann nicht gefunden werden ODER die Domain des Endpunkts entspricht nicht dem angeforderten Anzeigenformat |
| Zone oder Website nicht gültig | Die Zone oder der Publisher ist blockiert.                                                                              |

### 200-Fehlerbeispiel

In diesem Beispiel haben wir Anzeigen für mehrere Zonen angefordert, und einige von ihnen haben Fehler zurückgegeben.

Anfrage:

```json
{
    "user": {
        "ip": "179.127.135.233",
        "ua": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:81.0) Gecko/20100101 Firefox/81.0"
    },
    "zones": [
        {
            "id": 1
        },
        {
            "id": 2
        },
        {
            "id": 3
        }   
    ]
}
```

Antwort:

```json
{
    "zones": [
        null,
        {
            "idzone": 2,
            "type": "banner",
            "data": {
                "url": "https://main.example.rocks/click.php?data=H4sIAAAAAAAAA0WPO27DQAxEr.LG7YK__bBMk8ZFzrArrZAiQQLYgFzM4UNZRUCCIMjhw_ACI69SHNYIn4_H7_2qb1d5j9z3Pc1nX.9p.fkGQAAXUvGj4n_D1RNLTaw5iSpgVoQbcbCV2CsytZgyNACBCZASPSUTOAIsSQ1qlFsOVWXeNKDDZ1cuS56j5o1Gtz7K1BonhPHVI09nB_GC1_gMtcwcTl4dHd8dIqdT2k6h4eOG5kK1.7Kts.ncyuijs64unlerZf4BvX2zxCABAAA-",
                "impression": "https://syndication.example.rocks/cimp.php?t=imp&api=1&data=H4sIAAAAAAAAAzVPSW4DMQz7Sj8wBrV5ya1FX9CiD7An9qlFD73MQY+PkmlEG5ZMwqQZjI2wMb0QLpovKk6lJeKSSCyxiL99vLqSz6Nf/9L+++MqrFKeRy3aqrlCQK24oUbfCufmqpmpgpyyiyMgCqsWr8WQtHqBf32+P3aonF2Agw3R320pRJyQyBtc4xJHUJxEvRAtiaijzS6Ud5uj2MLo2keekevuMb57rEdonEj4p54QNaL45UbngHvwKPiDjqqnPPKpwstqmHNera9OZe053DCHrdGXGPUbbttiKlIBAAA=",
                "image": "https://static.example.rocks/library/432437/42ec0144a74a1663f2973ad3070234f8e5633855.jpg"
            }
        },
        null
    ],
    "errors": {
        "0": [
            "Zone 1 nicht gefunden"
        ],
        "2": [
            "Zone 3 nicht gefunden"
        ]
    }
}
```

## zones.data null

Sehr selten liefert eine Anfrage an eine Anzeigenzone eine korrekte Antwort, aber das `data` Feld wird null sein. Dies bedeutet, dass das System keine Anzeigen gefunden hat, die die angegebene Anfrage unter Berücksichtigung von Benutzergebietsschema, Browser usw. erfüllen.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.exoclick.com/api/de/api-fur-anzeigenplatzierung/ad-plac-errors.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
